make script a bit nicer

This commit is contained in:
Christian Grothoff 2020-02-08 19:06:19 +01:00
parent f70596ff4c
commit 001f155208
No known key found for this signature in database
GPG Key ID: 939E6BE1E29FC3CC

View File

@ -49,7 +49,7 @@ unset XDG_CONFIG_HOME
echo -n "Launching exchange ..." echo -n "Launching exchange ..."
PREFIX= PREFIX=
# Uncomment this line to run with valgrind... # Uncomment this line to run with valgrind...
# PREFIX="valgrind --leak-check=yes --track-fds=yes --error-exitcode=1 --log-file=valgrind.%p" # PREFIX="valgrind --trace-children=yes --leak-check=yes --track-fds=yes --error-exitcode=1 --log-file=valgrind.%p"
# Setup keys. # Setup keys.
taler-exchange-keyup -c test_taler_exchange_unix.conf || exit 1 taler-exchange-keyup -c test_taler_exchange_unix.conf || exit 1
@ -73,11 +73,7 @@ do
done done
if [ 1 != $OK ] if [ 1 != $OK ]
then then
echo "Failed to launch exchange" exit_fail "Failed to launch exchange"
kill -TERM $!
wait $!
echo Process status: $?
exit 77
fi fi
echo " DONE" echo " DONE"
@ -110,6 +106,7 @@ kill -TERM $CPID
while true while true
do do
ps x | grep -v grep | grep taler-exchange-httpd > /dev/null || break ps x | grep -v grep | grep taler-exchange-httpd > /dev/null || break
sleep 0.1
done done
echo " DONE" echo " DONE"